import { Construct } from 'constructs';
/**
 * Configuration for a cdkactions app.
 */
export interface AppOptions {
    /**
     * Create a validation workflow to ensure cdkactions manifests are up to date.
     *
     * @default - true
     */
    readonly createValidateWorkflow: boolean;
}
/**
 * Represents a cdkactions application.
 */
export declare class App extends Construct {
    /**
     * The directory to synthesize GitHub Action manifests in.
     */
    readonly outdir: string;
    /**
     * Defines a cdkaction app.
     *
     * @param options Configuration options.
     */
    constructor(options?: AppOptions);
    /**
     * Synthesizes all manifests into the output directory.
     */
    synth(): void;
}
